<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ns="http://org.wso2.wsf/tools">
    <xsl:output method="html"/>

    <xsl:template match="validator">
        <div>
            <h2>Archive Validator</h2>
        </div>
        <fieldset style="border:none;">
            <div id="formset">
                <form>
                    <xsl:call-template name="servicesTemplate"/>
                    <xsl:call-template name="modulesTemplate"/>
                </form>
            </div>
        </fieldset>
    </xsl:template>

    <xsl:template name="servicesTemplate">
        <fieldset>
            <legend>AAR (Services Archive) &amp; services.xml Validator</legend>
            <p>With this service you can validate either AAR or services.xml</p>

            <a href="#">
                <xsl:attribute name="onclick">
                     wso2.tool.AV.showDiv(document.getElementById('aarValidatorDivId'));return false;
                </xsl:attribute>
                AAR (Service Archive) Validator
            </a>
            <br/>
            <a href="#">
                <xsl:attribute name="onclick">
                    wso2.tool.AV.showDiv(document.getElementById('services_xmlValidatorDivId'));return false;
                </xsl:attribute>
                services.xml Validator</a>
            <div id='aarValidatorDivId' style="display:none;">
                <form id="aarValidatorDivFormId" method="post" name="wsdlUpload"
                      enctype="multipart/form-data"
                      target="globalIFrame">
                    <input type="file" id="filenameAARId" name="filename" size="50"/>
                    <br/>
                    <input type="button" value="Validate AAR">
                        <xsl:attribute name="onclick">
                              return wso2.tool.AV.validateAndSubmitAAR();
                        </xsl:attribute>
                    </input>
                </form>

            </div>

            <div id='services_xmlValidatorDivId' style="display:none;">
                <form id="services_xmlValidatorDivIdFormId" method="post" name="wsdlUpload"
                      enctype="multipart/form-data"
                      target="globalIFrame">
                    <input type="file" id="filenameModule_xmlId" name="filename" size="50"/>
                    <br/>
                    <input type="button" value="Validate services.xml">
                        <xsl:attribute name="onclick">
                             return wso2.tool.AV.validateAndSubmitServicesXml();
                        </xsl:attribute>
                    </input>
                </form>

            </div>
        </fieldset>
    </xsl:template>

    <xsl:template name="modulesTemplate">
        <fieldset>
            <legend>MAR (Module Archive) &amp; module.xml Validator</legend>
            <p>With this service you can validate either MAR or module.xml</p>

            <a href="#">
                <xsl:attribute name="onclick">
                    wso2.tool.AV.showDiv(document.getElementById('marValidatorDivId'));return false;
                </xsl:attribute>
                MAR (Module Archive) Validator
            </a>
            <br/>
            <a href="#">
                <xsl:attribute name="onclick">
                     wso2.tool.AV.showDiv(document.getElementById('module_xmlValidatorDivId'));return false;
                </xsl:attribute>
                module.xml Validator
            </a>

            <div id='marValidatorDivId' style="display:none;">
                <form id="marValidatorDivFormId" method="post" name="wsdlUpload"
                      enctype="multipart/form-data"
                      target="globalIFrame">
                    <input type="file" id="filenameMARId" name="filename" size="50"/>
                    <br/>
                    <input type="button" value="Validate MAR">
                        <xsl:attribute name="onclick">
                             return wso2.tool.AV.validateAndSubmitMAR();
                        </xsl:attribute>
                    </input>
                </form>

            </div>

            <div id='module_xmlValidatorDivId' style="display:none;">
                <form id="module_xmlValidatorDivIdFormId" method="post" name="wsdlUpload"
                      enctype="multipart/form-data"
                      target="globalIFrame">
                    <input type="file" id="filenameModule_xmlId" name="filename" size="50"/>
                    <br/>
                    <input type="button" value="Validate module.xml">
                        <xsl:attribute name="onclick">
                           return wso2.tool.AV.validateAndSubmitModuleXml(); 
                        </xsl:attribute>

                    </input>
                </form>
            </div>
        </fieldset>
    </xsl:template>

</xsl:stylesheet>